Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4802)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4803)
@@ -2294,28 +2284,26 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculation of the tendency terms, accounting for the effect of the plant
-!> canopy on momentum and scalar quantities.
+!> Calculation of the tendency terms, accounting for the effect of the plant canopy on momentum and
+!> scalar quantities.
 !>
-!> The canopy is located where the leaf area density lad_s(k,j,i) > 0.0 
-!> (defined on scalar grid), as initialized in subroutine pcm_init. 
-!> The lad on the w-grid is vertically interpolated from the surrounding
-!> lad_s. The upper boundary of the canopy is defined on the w-grid at 
-!> k = pch_index. Here, the lad is zero.
+!> The canopy is located where the leaf area density lad_s(k,j,i) > 0.0 (defined on scalar grid), as
+!> initialized in subroutine pcm_init.
+!> The lad on the w-grid is vertically interpolated from the surrounding lad_s. The upper boundary
+!> of the canopy is defined on the w-grid at k = pch_index. Here, the lad is zero.
 !>
-!> The canopy drag must be limited (previously accounted for by calculation of 
-!> a limiting canopy timestep for the determination of the maximum LES timestep
-!> in subroutine timestep), since it is physically impossible that the canopy
-!> drag alone can locally change the sign of a velocity component. This 
-!> limitation is realized by calculating preliminary tendencies and velocities.
-!> It is subsequently checked if the preliminary new velocity has a different
-!> sign than the current velocity. If so, the tendency is limited in a way that
-!> the velocity can at maximum be reduced to zero by the canopy drag. 
+!> The canopy drag must be limited (previously accounted for by calculation of a limiting canopy
+!> timestep for the determination of the maximum LES timestep in subroutine timestep), since it is
+!> physically impossible that the canopy drag alone can locally change the sign of a velocity
+!> component. This limitation is realized by calculating preliminary tendencies and velocities. It
+!> is subsequently checked if the preliminary new velocity has a different sign than the current
+!> velocity. If so, the tendency is limited in a way that the velocity can at maximum be reduced to
+!> zero by the canopy drag.
 !>
 !>
 !> Call for grid point i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_tendency_ij( i, j, component )
 
@@ -2335,7 +2323,7 @@
        REAL(wp) ::  lad_local !< local lad value
        REAL(wp) ::  pre_tend  !< preliminary tendency
-       REAL(wp) ::  pre_u     !< preliminary u-value 
-       REAL(wp) ::  pre_v     !< preliminary v-value 
-       REAL(wp) ::  pre_w     !< preliminary w-value 
+       REAL(wp) ::  pre_u     !< preliminary u-value
+       REAL(wp) ::  pre_v     !< preliminary v-value
+       REAL(wp) ::  pre_w     !< preliminary w-value
 
 
@@ -2349,12 +2337,11 @@
           CASE ( 1 )
 !
-!--          Set control flags indicating east- and westward-orientated 
-!--          building edges. Note, building_egde_w is set from the perspective
-!--          of the potential rooftop grid point, while building_edge_e is
-!--          is set from the perspective of the non-building grid point.
-             building_edge_w = ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_total_0(:,j,i-1), 6 ) )
-             building_edge_e = ANY( BTEST( wall_flags_total_0(:,j,i-1), 6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )
+!--          Set control flags indicating east- and westward-orientated building edges. Note,
+!--          building_egde_w is set from the perspective of the potential rooftop grid point, while
+!--          building_edge_e is set from the perspective of the non-building grid point.
+             building_edge_w =       ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )  .AND.         &
+                               .NOT. ANY( BTEST( wall_flags_total_0(:,j,i-1), 6 ) )
+             building_edge_e =       ANY( BTEST( wall_flags_total_0(:,j,i-1), 6 ) )  .AND.         &
+                               .NOT. ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )
 !
 !--          Determine topography-top index on u-grid
@@ -2364,15 +2351,13 @@
 
 !
-!--             In order to create sharp boundaries of the plant canopy, 
-!--             the lad on the u-grid at index (k,j,i) is equal to lad_s(k,j,i),
-!--             rather than being interpolated from the surrounding lad_s, 
-!--             because this would yield smaller lad at the canopy boundaries 
+!--             In order to create sharp boundaries of the plant canopy, the lad on the u-grid at
+!--             index (k,j,i) is equal to lad_s(k,j,i), rather than being interpolated from the
+!--             surrounding lad_s, because this would yield smaller lad at the canopy boundaries
 !--             than inside of the canopy.
-!--             For the same reason, the lad at the rightmost(i+1)canopy 
-!--             boundary on the u-grid equals lad_s(k,j,i), which is considered
-!--             in the next if-statement. Note, at left-sided building edges 
-!--             this is not applied, here the LAD is equals the LAD at grid
-!--             point (k,j,i), in order to avoid that LAD is mistakenly mapped 
-!--             on top of a roof where (usually) is no LAD is defined. 
+!--             For the same reason, the lad at the rightmost(i+1)canopy boundary on the u-grid
+!--             equals lad_s(k,j,i), which is considered in the next if-statement. Note, at
+!--             left-sided building edges this is not applied, here the LAD is equals the LAD at
+!--             grid point (k,j,i), in order to avoid that LAD is mistakenly mapped on top of a roof
+!--             where (usually) is no LAD is defined.
 !--             The same is also valid for bad_s.
                 lad_local = lad_s(kk,j,i)
@@ -2384,8 +2369,7 @@
                      .NOT. building_edge_w )  bad_local = bad_s(kk,j,i-1)
 !
-!--             In order to avoid that LAD is mistakenly considered at right-
-!--             sided building edges (here the topography-top index for the
-!--             u-component at index j,i is still on the building while the
-!--             topography top for the scalar isn't), LAD is taken from grid
+!--             In order to avoid that LAD is mistakenly considered at right-sided building edges
+!--             (here the topography-top index for the u-component at index j,i is still on the
+!--             building while the topography top for the scalar isn't), LAD is taken from grid
 !--             point (j,i-1). The same is also valid for bad_s.
                 IF ( lad_local > 0.0_wp  .AND.  lad_s(kk,j,i-1) == 0.0_wp  .AND.                   &
@@ -2398,18 +2382,18 @@
 !
 !--             Calculate preliminary value (pre_tend) of the tendency
-                pre_tend = - canopy_drag_coeff *                               &
-                             ( lad_local + bad_local ) *                       &
-                             SQRT( u(k,j,i)**2 +                               &
-                                   ( 0.25_wp * ( v(k,j,i-1)  +                 &
-                                                 v(k,j,i)    +                 &
-                                                 v(k,j+1,i)  +                 &
-                                                 v(k,j+1,i-1) )                &
-                                   )**2 +                                      &
-                                   ( 0.25_wp * ( w(k-1,j,i-1) +                &
-                                                 w(k-1,j,i)   +                &
-                                                 w(k,j,i-1)   +                &
-                                                 w(k,j,i) )                    &
-                                   )**2                                        &
-                                 ) *                                           &
+                pre_tend = - canopy_drag_coeff *                                                   &
+                             ( lad_local + bad_local ) *                                           &
+                             SQRT( u(k,j,i)**2 +                                                   &
+                                   ( 0.25_wp * ( v(k,j,i-1)  +                                     &
+                                                 v(k,j,i)    +                                     &
+                                                 v(k,j+1,i)  +                                     &
+                                                 v(k,j+1,i-1) )                                    &
+                                   )**2 +                                                          &
+                                   ( 0.25_wp * ( w(k-1,j,i-1) +                                    &
+                                                 w(k-1,j,i)   +                                    &
+                                                 w(k,j,i-1)   +                                    &
+                                                 w(k,j,i) )                                        &
+                                   )**2                                                            &
+                                 ) *                                                               &
                              u(k,j,i)
 
@@ -2418,7 +2402,7 @@
                 pre_u = u(k,j,i) + dt_3d * pre_tend
 !
-!--             Compare sign of old velocity and new preliminary velocity,
-!--             and in case the signs are different, limit the tendency
-                IF ( SIGN(pre_u,u(k,j,i)) /= pre_u )  THEN
+!--             Compare sign of old velocity and new preliminary velocity, and in case the signs are
+!--             different, limit the tendency.
+                IF ( SIGN( pre_u,u(k,j,i) ) /= pre_u )  THEN
                    pre_tend = - u(k,j,i) * ddt_3d
                 ELSE
@@ -2435,12 +2419,11 @@
           CASE ( 2 )
 !
-!--          Set control flags indicating north- and southward-orientated 
-!--          building edges. Note, building_egde_s is set from the perspective
-!--          of the potential rooftop grid point, while building_edge_n is
-!--          is set from the perspective of the non-building grid point.
-             building_edge_s = ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_total_0(:,j-1,i), 6 ) )
-             building_edge_n = ANY( BTEST( wall_flags_total_0(:,j-1,i), 6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )
+!--          Set control flags indicating north- and southward-orientated building edges. Note,
+!--          building_egde_s is set from the perspective of the potential rooftop grid point, while
+!--          building_edge_n is set from the perspective of the non-building grid point.
+             building_edge_s =       ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )  .AND.         &
+                               .NOT. ANY( BTEST( wall_flags_total_0(:,j-1,i), 6 ) )
+             building_edge_n =       ANY( BTEST( wall_flags_total_0(:,j-1,i), 6 ) )  .AND.         &
+                               .NOT. ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )
 !
 !--          Determine topography-top index on v-grid
@@ -2449,15 +2432,13 @@
                 kk = k - topo_top_ind(j,i,2)  !- lad arrays are defined flat
 !
-!--             In order to create sharp boundaries of the plant canopy, 
-!--             the lad on the v-grid at index (k,j,i) is equal to lad_s(k,j,i),
-!--             rather than being interpolated from the surrounding lad_s, 
-!--             because this would yield smaller lad at the canopy boundaries 
+!--             In order to create sharp boundaries of the plant canopy, the lad on the v-grid at
+!--             index (k,j,i) is equal to lad_s(k,j,i), rather than being interpolated from the
+!--             surrounding lad_s, because this would yield smaller lad at the canopy boundaries
 !--             than inside of the canopy.
-!--             For the same reason, the lad at the northmost(j+1)canopy 
-!--             boundary on the v-grid equals lad_s(k,j,i), which is considered
-!--             in the next if-statement. Note, at left-sided building edges 
-!--             this is not applied, here the LAD is equals the LAD at grid
-!--             point (k,j,i), in order to avoid that LAD is mistakenly mapped 
-!--             on top of a roof where (usually) is no LAD is defined. 
+!--             For the same reason, the lad at the northmost (j+1) canopy boundary on the v-grid
+!--             equals lad_s(k,j,i), which is considered in the next if-statement. Note, at
+!--             left-sided building edges this is not applied, here the LAD is equals the LAD at
+!--             grid point (k,j,i), in order to avoid that LAD is mistakenly mapped on top of a roof
+!--             where (usually) is no LAD is defined.
 !--             The same is also valid for bad_s.
                 lad_local = lad_s(kk,j,i)
@@ -2469,8 +2450,7 @@
                      .NOT. building_edge_s )  bad_local = bad_s(kk,j-1,i)
 !
-!--             In order to avoid that LAD is mistakenly considered at right-
-!--             sided building edges (here the topography-top index for the
-!--             u-component at index j,i is still on the building while the
-!--             topography top for the scalar isn't), LAD is taken from grid
+!--             In order to avoid that LAD is mistakenly considered at right-sided building edges
+!--             (here the topography-top index for the u-component at index j,i is still on the
+!--             building while the topography top for the scalar isn't), LAD is taken from grid
 !--             point (j,i-1). The same is also valid for bad_s.
                 IF ( lad_local > 0.0_wp  .AND.  lad_s(kk,j-1,i) == 0.0_wp  .AND.                   &
@@ -2483,18 +2463,18 @@
 !
 !--             Calculate preliminary value (pre_tend) of the tendency
-                pre_tend = - canopy_drag_coeff *                               &
-                             ( lad_local + bad_local ) *                       &
-                             SQRT( ( 0.25_wp * ( u(k,j-1,i)   +                &
-                                                 u(k,j-1,i+1) +                &
-                                                 u(k,j,i)     +                &
-                                                 u(k,j,i+1) )                  &
-                                   )**2 +                                      &
-                                   v(k,j,i)**2 +                               &
-                                   ( 0.25_wp * ( w(k-1,j-1,i) +                &
-                                                 w(k-1,j,i)   +                &
-                                                 w(k,j-1,i)   +                &
-                                                 w(k,j,i) )                    &
-                                   )**2                                        &
-                                 ) *                                           &
+                pre_tend = - canopy_drag_coeff *                                                   &
+                             ( lad_local + bad_local ) *                                           &
+                             SQRT( ( 0.25_wp * ( u(k,j-1,i)   +                                    &
+                                                 u(k,j-1,i+1) +                                    &
+                                                 u(k,j,i)     +                                    &
+                                                 u(k,j,i+1) )                                      &
+                                   )**2 +                                                          &
+                                   v(k,j,i)**2 +                                                   &
+                                   ( 0.25_wp * ( w(k-1,j-1,i) +                                    &
+                                                 w(k-1,j,i)   +                                    &
+                                                 w(k,j-1,i)   +                                    &
+                                                 w(k,j,i) )                                        &
+                                   )**2                                                            &
+                                 ) *                                                               &
                              v(k,j,i)
 
@@ -2505,5 +2485,5 @@
 !--             Compare sign of old velocity and new preliminary velocity,
 !--             and in case the signs are different, limit the tendency
-                IF ( SIGN(pre_v,v(k,j,i)) /= pre_v )  THEN
+                IF ( SIGN( pre_v,v(k,j,i) ) /= pre_v )  THEN
                    pre_tend = - v(k,j,i) * ddt_3d
                 ELSE
@@ -2529,21 +2509,19 @@
 !
 !--             Calculate preliminary value (pre_tend) of the tendency
-                pre_tend = - canopy_drag_coeff *                               &
-                             ( 0.5_wp *                                        &
-                                ( lad_s(kk+1,j,i) + lad_s(kk,j,i) ) +          &
-                               0.5_wp *                                        &
-                                ( bad_s(kk+1,j,i) + bad_s(kk,j,i) ) ) *        &
-                             SQRT( ( 0.25_wp * ( u(k,j,i)    +                 &
-                                                 u(k,j,i+1)  +                 &
-                                                 u(k+1,j,i)  +                 &
-                                                 u(k+1,j,i+1) )                &
-                                   )**2 +                                      &
-                                   ( 0.25_wp * ( v(k,j,i)    +                 &
-                                                 v(k,j+1,i)  +                 &
-                                                 v(k+1,j,i)  +                 &
-                                                 v(k+1,j+1,i) )                &
-                                   )**2 +                                      &
-                                   w(k,j,i)**2                                 &
-                                 ) *                                           &
+                pre_tend = - canopy_drag_coeff *                                                   &
+                             ( 0.5_wp * ( lad_s(kk+1,j,i) + lad_s(kk,j,i) ) +                      &
+                               0.5_wp * ( bad_s(kk+1,j,i) + bad_s(kk,j,i) ) ) *                    &
+                             SQRT( ( 0.25_wp * ( u(k,j,i)    +                                     &
+                                                 u(k,j,i+1)  +                                     &
+                                                 u(k+1,j,i)  +                                     &
+                                                 u(k+1,j,i+1) )                                    &
+                                   )**2 +                                                          &
+                                   ( 0.25_wp * ( v(k,j,i)    +                                     &
+                                                 v(k,j+1,i)  +                                     &
+                                                 v(k+1,j,i)  +                                     &
+                                                 v(k+1,j+1,i) )                                    &
+                                   )**2 +                                                          &
+                                   w(k,j,i)**2                                                     &
+                                 ) *                                                               &
                              w(k,j,i)
 !
@@ -2551,7 +2529,7 @@
                 pre_w = w(k,j,i) + dt_3d * pre_tend
 !
-!--             Compare sign of old velocity and new preliminary velocity,
-!--             and in case the signs are different, limit the tendency
-                IF ( SIGN(pre_w,w(k,j,i)) /= pre_w )  THEN
+!--             Compare sign of old velocity and new preliminary velocity, and in case the signs are
+!--             different, limit the tendency.
+                IF ( SIGN( pre_w,w(k,j,i) ) /= pre_w )  THEN
                    pre_tend = - w(k,j,i) * ddt_3d
                 ELSE
@@ -2568,9 +2546,8 @@
 !
 !--          Determine topography-top index on scalar grid
-             IF ( humidity ) THEN
+             IF ( humidity )  THEN
                 DO  k = topo_top_ind(j,i,0) + 1, topo_top_ind(j,i,0) + pch_index_ji(j,i)
                    kk = k - topo_top_ind(j,i,0)  !- lad arrays are defined flat
-                   tend(k,j,i) = tend(k,j,i) + pcm_heating_rate(kk,j,i) -       &
-                                 pcm_latent_rate(kk,j,i)
+                   tend(k,j,i) = tend(k,j,i) + pcm_heating_rate(kk,j,i) - pcm_latent_rate(kk,j,i)
                 ENDDO
              ELSE
@@ -2588,27 +2565,27 @@
              DO  k = topo_top_ind(j,i,0) + 1, topo_top_ind(j,i,0) + pch_index_ji(j,i)
                 kk = k - topo_top_ind(j,i,0)  !- lad arrays are defined flat
-                IF ( .NOT. plant_canopy_transpiration ) THEN
+                IF ( .NOT. plant_canopy_transpiration )  THEN
                    ! pcm_transpiration_rate is calculated in radiation model
                    ! in case of plant_canopy_transpiration = .T.
                    ! to include also the dependecy to the radiation
                    ! in the plant canopy box
-                   pcm_transpiration_rate(kk,j,i) = - leaf_scalar_exch_coeff   &
-                                    * lad_s(kk,j,i) *                          &
-                                    SQRT( ( 0.5_wp * ( u(k,j,i) +              &
-                                                       u(k,j,i+1) )            &
-                                          )**2  +                              &
-                                          ( 0.5_wp * ( v(k,j,i) +              &
-                                                       v(k,j+1,i) )            &
-                                          )**2 +                               &
-                                          ( 0.5_wp * ( w(k-1,j,i) +            &
-                                                       w(k,j,i) )              &
-                                          )**2                                 &
-                                        ) *                                    &
-                                    ( q(k,j,i) - leaf_surface_conc )
+                   pcm_transpiration_rate(kk,j,i) = - leaf_scalar_exch_coeff                       &
+                                                    * lad_s(kk,j,i) *                              &
+                                                    SQRT( ( 0.5_wp * ( u(k,j,i) +                  &
+                                                                       u(k,j,i+1) )                &
+                                                          )**2  +                                  &
+                                                          ( 0.5_wp * ( v(k,j,i) +                  &
+                                                                       v(k,j+1,i) )                &
+                                                          )**2 +                                   &
+                                                          ( 0.5_wp * ( w(k-1,j,i) +                &
+                                                                       w(k,j,i) )                  &
+                                                          )**2                                     &
+                                                        ) *                                        &
+                                                    ( q(k,j,i) - leaf_surface_conc )
                 ENDIF
 
                 tend(k,j,i) = tend(k,j,i) + pcm_transpiration_rate(kk,j,i)
 
-             ENDDO   
+             ENDDO
 
 !
@@ -2620,21 +2597,20 @@
 
                 kk = k - topo_top_ind(j,i,0)
-                tend(k,j,i) = tend(k,j,i) -                                    &
-                                 2.0_wp * canopy_drag_coeff *                  &
-                                 ( lad_s(kk,j,i) + bad_s(kk,j,i) ) *           &
-                                 SQRT( ( 0.5_wp * ( u(k,j,i) +                 &
-                                                    u(k,j,i+1) )               &
-                                       )**2 +                                  &  
-                                       ( 0.5_wp * ( v(k,j,i) +                 &
-                                                    v(k,j+1,i) )               &
-                                       )**2 +                                  &
-                                       ( 0.5_wp * ( w(k,j,i) +                 &
-                                                    w(k+1,j,i) )               &
-                                       )**2                                    &
-                                     ) *                                       &
-                                 e(k,j,i)
+                tend(k,j,i) = tend(k,j,i) -  2.0_wp * canopy_drag_coeff *                          &
+                                             ( lad_s(kk,j,i) + bad_s(kk,j,i) ) *                   &
+                                             SQRT( ( 0.5_wp * ( u(k,j,i) +                         &
+                                                                u(k,j,i+1) )                       &
+                                                   )**2 +                                          &
+                                                   ( 0.5_wp * ( v(k,j,i) +                         &
+                                                                v(k,j+1,i) )                       &
+                                                   )**2 +                                          &
+                                                   ( 0.5_wp * ( w(k,j,i) +                         &
+                                                                w(k+1,j,i) )                       &
+                                                   )**2                                            &
+                                                 ) *                                               &
+                                             e(k,j,i)
              ENDDO
 !
-!--       scalar concentration 
+!--       scalar concentration
           CASE ( 7 )
 !
@@ -2643,24 +2619,23 @@
 
                 kk = k - topo_top_ind(j,i,0)
-                tend(k,j,i) = tend(k,j,i) -                                    &
-                                 leaf_scalar_exch_coeff *                      &
-                                 lad_s(kk,j,i) *                               &
-                                 SQRT( ( 0.5_wp * ( u(k,j,i) +                 &
-                                                    u(k,j,i+1) )               &
-                                       )**2  +                                 &
-                                       ( 0.5_wp * ( v(k,j,i) +                 &
-                                                    v(k,j+1,i) )               &
-                                       )**2 +                                  &
-                                       ( 0.5_wp * ( w(k-1,j,i) +               &
-                                                    w(k,j,i) )                 &
-                                       )**2                                    &
-                                     ) *                                       &
-                                 ( s(k,j,i) - leaf_surface_conc )
-             ENDDO                
+                tend(k,j,i) = tend(k,j,i) -  leaf_scalar_exch_coeff *                              &
+                                             lad_s(kk,j,i) *                                       &
+                                             SQRT( ( 0.5_wp * ( u(k,j,i) +                         &
+                                                                u(k,j,i+1) )                       &
+                                                   )**2  +                                         &
+                                                   ( 0.5_wp * ( v(k,j,i) +                         &
+                                                                v(k,j+1,i) )                       &
+                                                   )**2 +                                          &
+                                                   ( 0.5_wp * ( w(k-1,j,i) +                       &
+                                                                w(k,j,i) )                         &
+                                                   )**2                                            &
+                                                 ) *                                               &
+                                             ( s(k,j,i) - leaf_surface_conc )
+             ENDDO
 
        CASE DEFAULT
 
           WRITE( message_string, * ) 'wrong component: ', component
-          CALL message( 'pcm_tendency', 'PA0279', 1, 2, 0, 6, 0 ) 
+          CALL message( 'pcm_tendency', 'PA0279', 1, 2, 0, 6, 0 )
 
        END SELECT
@@ -2668,9 +2643,9 @@
     END SUBROUTINE pcm_tendency_ij
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine writes global restart data
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_wrd_global
 
@@ -2678,7 +2653,7 @@
 
           CALL wrd_write_string( 'pch_index' )
-          WRITE ( 14 )  pch_index
-
-       ELSEIF ( restart_data_format_output(1:3) == 'mpi' )  THEN
+          WRITE( 14 )  pch_index
+
+       ELSE IF ( restart_data_format_output(1:3) == 'mpi' )  THEN
 
           CALL wrd_mpi_io( 'pch_index', pch_index )
@@ -2688,9 +2663,9 @@
     END SUBROUTINE pcm_wrd_global
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine writes local (subdomain) restart data
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_wrd_local
 
